==============================
14 October, 2017 - Version 2.4
==============================

-------------------------------------------------------------------------------------------
Backup your theme/style folder and files before applying these updates.
-------------------------------------------------------------------------------------------
The best way is to use a compare tool, like: https://sourceforge.net/projects/kdiff3/files/
and use it to compare the 'folders' (the version you're using with the new version)
-------------------------------------------------------------------------------------------
Updating HTML Templates Requires Manual Work.
-------------------------------------------------------------------------------------------


*. WHMCS template updated to be compatible with latest "WHMCS Version 7.3.0"
----------------------------------------------------------------------------

	*. Simply Replace The Following Files:
	--------------------------------------
		-> css/colors/theme-color-1.css
		-> css/colors/theme-color-2.css
		-> css/colors/theme-color-3.css
		-> css/colors/theme-color-4.css
		-> css/colors/theme-color-5.css
		-> css/colors/theme-color-6.css
		-> css/colors/theme-color-7.css
		-> css/colors/theme-color-8.css
		-> css/colors/theme-color-9.css
		-> css/colors/theme-color-10.css
		-> css/all.css
		-> css/all.min.css
		-> css/hostwhmcs-style.css
		-> css/invoice.css
		-> css/styles.css
		-> css/help.md (+Add)
		-> error/page-not-found.tpl
		-> includes/captcha.tpl
		-> includes/verifyemail.tpl
		-> includes/linkedaccounts.tpl (+Add)
		-> js/scripts.js
		-> js/scripts.min.js
		-> js/whmcs.js
		-> store/spamexperts/index.tpl
		-> store/ssl/dv.tpl
		-> store/ssl/ev.tpl
		-> store/ssl/index.tpl
		-> store/ssl/ov.tpl
		-> store/ssl/wildcard.tpl
		-> store/weebly/index.tpl
		-> store/weebly/upgrade.tpl
		-> clientareaaddcontact.tpl
		-> clientareacontacts.tpl
		-> clientareacreditcard.tpl
		-> clientareasecurity.tpl
		-> clientregister.tpl
		-> knowledgebasearticle.tpl
		-> login.tpl
		-> twitterfeed.tpl
		-> viewinvoice.tpl

	*. Simply Replace The Following Codes:
	--------------------------------------
		-> header.tpl
			=> Added:
			---------
			Line 18:<!-- Preloader Start -->
			Line 19:<div id="preloader">
			Line 20:	<div class="preloader loading">
			Line 21:		<span class="slice"></span>
			Line 22:		<span class="slice"></span>
			Line 23:		<span class="slice"></span>
			Line 24:		<span class="slice"></span>
			Line 25:		<span class="slice"></span>
			Line 26:		<span class="slice"></span>
			Line 27:	</div>
			Line 28:</div>
			Line 29:<!-- Preloader End -->
		
		-> header.tpl
			=> Deleted:
			-----------
			Line 88 :        <section id="topNav">
			Line 89 :            <div class="container">
			Line 90 :                <!-- Top Bar -->
			Line 91 :                <div id="top-nav">
			Line 92 :                    <!-- Language -->
			Line 93 :                    {if $languagechangeenabled && count($locales) > 1}
			Line 94 :                        <div class="pull-right nav">
			Line 95 :                            <a href="#" class="quick-nav" data-toggle="popover" id="languageChooser"><i class="fa fa-language"></i> {$LANG.chooselanguage} <span class="caret"></span></a>
			Line 96 :                            <div id="languageChooserContent" class="hidden">
			Line 97 :                                <ul>
			Line 98 :                                    {foreach from=$locales item=locale}
			Line 99 :                                        <li><a href="{$currentpagelinkback}language={$locale.language}">{$locale.localisedName}</a></li>
			Line 100:                                    {/foreach}
			Line 101:                                </ul>
			Line 102:                            </div>
			Line 103:                        </div>
			Line 104:                    {/if}
			Line 105:                    <!-- Login/Account Notifications -->
			Line 106:                    {if $loggedin}
			Line 107:                        <div class="pull-right nav">
			Line 108:                            <a href="#" class="quick-nav" data-toggle="popover" id="accountNotifications" data-placement="bottom" title="{lang key="notifications"}"><i class="fa fa-info"></i> {$LANG.notifications} ({$clientAlerts|count})</a>
			Line 109:                            <div id="accountNotificationsContent" class="hidden">
			Line 110:                                {foreach $clientAlerts as $alert}
			Line 111:                                    <div class="clientalert text-{$alert->getSeverity()}">{$alert->getMessage()}{if $alert->getLinkText()} <a href="{$alert->getLink()}" class="btn btn-xs btn-{$alert->getSeverity()}">{$alert->getLinkText()}</a>{/if}</div>
			Line 112:                                {foreachelse}
			Line 113:                                    <div class="clientalert text-success"><i class="fa fa-check-square-o"></i> {$LANG.notificationsnone}</div>
			Line 114:                                {/foreach}
			Line 115:                            </div>
			Line 116:                        </div>
			Line 117:                    {else}
			Line 118:                        <div class="pull-right nav">
			Line 119:                            <a href="#" class="quick-nav" data-toggle="popover" id="loginOrRegister" data-placement="bottom"><i class="fa fa-user"></i> {$LANG.login}</a>
			Line 120:                            <div id="loginOrRegisterContent" class="hidden">
			Line 121:                                <form action="{if $systemsslurl}{$systemsslurl}{else}{$systemurl}{/if}dologin.php" method="post" role="form">
			Line 122:                                    <div class="form-group">
			Line 123:                                        <input type="email" name="username" class="form-control" placeholder="{$LANG.clientareaemail}" required />
			Line 124:                                    </div>
			Line 125:                                    <div class="form-group">
			Line 126:                                        <div class="input-group">
			Line 127:                                            <input type="password" name="password" class="form-control" placeholder="{$LANG.loginpassword}" autocomplete="off" required />
			Line 128:                                            <span class="input-group-btn">
			Line 129:                                                <input type="submit" class="btn btn-primary" value="{$LANG.login}" />
			Line 130:                                            </span>
			Line 131:                                        </div>
			Line 132:                                    </div>
			Line 133:                                    <label class="checkbox-inline">
			Line 134:                                        <input type="checkbox" name="rememberme" /> {$LANG.loginrememberme} &bull; <a href="{$WEB_ROOT}/pwreset.php">{$LANG.forgotpw}</a>
			Line 135:                                    </label>
			Line 136:                                </form>
			Line 137:                                {if $condlinks.allowClientRegistration}
			Line 138:                                    <hr />
			Line 139:                                    {$LANG.newcustomersignup|sprintf2:"<a href=\"$WEB_ROOT/register.php\">":"</a>"}
			Line 140:                                {/if}
			Line 141:                            </div>
			Line 142:                        </div>
			Line 143:                    {/if}
			Line 144:                    <!-- Shopping Cart -->
			Line 145:                    <div class="pull-right nav">
			Line 146:                        <a href="{$WEB_ROOT}/cart.php?a=view" class="quick-nav"><i class="fa fa-shopping-cart"></i> <span class="hidden-xs">{$LANG.viewcart} (</span><span id="cartItemCount">{$cartitemcount}</span><span class="hidden-xs">)</span></a>
			Line 147:                    </div>
			Line 148:
			Line 149:                    {if $adminMasqueradingAsClient}
			Line 150:                        <!-- Return to admin link -->
			Line 151:                        <div class="alert alert-danger admin-masquerade-notice">
			Line 152:                            {$LANG.adminmasqueradingasclient}<br />
			Line 153:                            <a href="{$WEB_ROOT}/logout.php?returntoadmin=1" class="alert-link">{$LANG.logoutandreturntoadminarea}</a>
			Line 154:                        </div>
			Line 155:                    {elseif $adminLoggedIn}
			Line 156:                        <!-- Return to admin link -->
			Line 157:                        <div class="alert alert-danger admin-masquerade-notice">
			Line 158:                            {$LANG.adminloggedin}<br />
			Line 159:                            <a href="{$WEB_ROOT}/logout.php?returntoadmin=1" class="alert-link">{$LANG.returntoadminarea}</a>
			Line 160:                        </div>
			Line 161:                    {/if}
			Line 162:                </div>
			Line 163:            </div>
			Line 164:        </section>
		
			=> Added:
			---------
			Line 101:        <section id="topNav">
			Line 102:            <div class="container">
			Line 103:				<ul class="top-nav">
			Line 104:					{if $languagechangeenabled && count($locales) > 1}
			Line 105:						<li>
			Line 106:							<a href="#" class="choose-language" data-toggle="popover" id="languageChooser">
			Line 107:								{$activeLocale.localisedName}
			Line 108:								<b class="caret"></b>
			Line 109:							</a>
			Line 110:							<div id="languageChooserContent" class="hidden">
			Line 111:								<ul>
			Line 112:									{foreach $locales as $locale}
			Line 113:										<li>
			Line 114:											<a href="{$currentpagelinkback}language={$locale.language}">{$locale.localisedName}</a>
			Line 115:										</li>
			Line 116:									{/foreach}
			Line 117:								</ul>
			Line 118:							</div>
			Line 119:						</li>
			Line 120:					{/if}
			Line 121:					{if $loggedin}
			Line 122:						<li>
			Line 123:							<a href="#" data-toggle="popover" id="accountNotifications" data-placement="bottom">
			Line 124:								{$LANG.notifications}
			Line 125:								{if count($clientAlerts) > 0}<span class="label label-info">NEW</span>{/if}
			Line 126:								<b class="caret"></b>
			Line 127:							</a>
			Line 128:							<div id="accountNotificationsContent" class="hidden">
			Line 129:								<ul class="client-alerts">
			Line 130:								{foreach $clientAlerts as $alert}
			Line 131:									<li>
			Line 132:										<a href="{$alert->getLink()}">
			Line 133:											<i class="fa fa-fw fa-{if $alert->getSeverity() == 'danger'}exclamation-circle{elseif $alert->getSeverity() == 'warning'}warning{elseif $alert->getSeverity() == 'info'}info-circle{else}check-circle{/if}"></i>
			Line 134:											<div class="message">{$alert->getMessage()}</div>
			Line 135:										</a>
			Line 136:									</li>
			Line 137:								{foreachelse}
			Line 138:									<li class="none">
			Line 139:										{$LANG.notificationsnone}
			Line 140:									</li>
			Line 141:								{/foreach}
			Line 142:								</ul>
			Line 143:							</div>
			Line 144:						</li>
			Line 145:						<li class="primary-action">
			Line 146:							<a href="{$WEB_ROOT}/logout.php" class="btn">
			Line 147:								{$LANG.clientareanavlogout}
			Line 148:							</a>
			Line 149:						</li>
			Line 150:					{else}
			Line 151:						<li>
			Line 152:							<a href="{$WEB_ROOT}/clientarea.php">{$LANG.login}</a>
			Line 153:						</li>
			Line 154:						{if $condlinks.allowClientRegistration}
			Line 155:							<li>
			Line 156:								<a href="{$WEB_ROOT}/register.php">{$LANG.register}</a>
			Line 157:							</li>
			Line 158:						{/if}
			Line 159:						<li class="primary-action">
			Line 160:							<a href="{$WEB_ROOT}/cart.php?a=view" class="btn">
			Line 161:								{$LANG.viewcart}
			Line 162:							</a>
			Line 163:						</li>
			Line 164:					{/if}
			Line 165:					{if $adminMasqueradingAsClient || $adminLoggedIn}
			Line 166:						<li>
			Line 167:							<a href="{$WEB_ROOT}/logout.php?returntoadmin=1" class="btn btn-logged-in-admin" data-toggle="tooltip" data-placement="bottom" title="{if $adminMasqueradingAsClient}{$LANG.adminmasqueradingasclient} {$LANG.logoutandreturntoadminarea}{else}{$LANG.adminloggedin} {$LANG.returntoadminarea}{/if}">
			Line 168:								<i class="fa fa-sign-out"></i>
			Line 169:							</a>
			Line 170:						</li>
			Line 171:					{/if}
			Line 172:				</ul>
			Line 173:            </div>
			Line 174:        </section>
		
		-> footer.tpl
			=> Deleted:
			-----------
			Line 1 :            </div><!-- /.main-content -->
			Line 2 :            {if !$inShoppingCart && $secondarySidebar->hasChildren()}
			Line 3 :                <div class="col-md-3 pull-md-left sidebar">
			Line 4 :                    {include file="$template/includes/sidebar.tpl" sidebar=$secondarySidebar}
			Line 5 :                </div>
			Line 6 :            {/if}
			Line 7 :        </div>
			Line 8 :        <div class="clearfix"></div>
			Line 9 :    </div>
			Line 10:</section>
			
			=> Added:
			---------
			Line 1 :                </div><!-- /.main-content -->
			Line 2 :                {if !$inShoppingCart && $secondarySidebar->hasChildren()}
			Line 3 :                    <div class="col-md-3 pull-md-left sidebar">
			Line 4 :                        {include file="$template/includes/sidebar.tpl" sidebar=$secondarySidebar}
			Line 5 :                    </div>
			Line 6 :                {/if}
			Line 7 :            <div class="clearfix"></div>
			Line 8 :        </div>
			Line 9 :    </div>
			Line 10:</section>